%define name    lineakd-plugins
%define version 0.9
%define release	%mkrel 1

%global builddefault 1
%{?_without_default:   %{expand: %%global builddefault 0}}
%global buildkde 1
%{?_without_kde:   %{expand: %%global buildkde 0}}
%global buildosd 1
%{?_without_osd:   %{expand: %%global buildosd 0}}

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:	Plugins for lineakd
License:	GPL
Group:		System/Configuration/Hardware          
Source1:	http://prdownloads.sourceforge.net/sourceforge/lineak/lineak-defaultplugin-%{version}.tar.bz2
Source2:	http://prdownloads.sourceforge.net/sourceforge/lineak/lineak-xosdplugin-%{version}.tar.bz2
Source3:	http://prdownloads.sourceforge.net/sourceforge/lineak/lineak-kdeplugins-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-root
Url:		http://lineak.sourceforge.net/
BuildRequires:	X11-devel
BuildRequires:	lineakd-devel = %{version}
BuildRequires:	lineakd

%if %buildkde
BuildRequires: qt3-devel
%endif

%if %buildosd
BuildRequires: libxosd-devel
%endif

%description
This package contains different plugins for lineakd.

%if %builddefault
%package default
Summary:	Default plugin for lineakd
Group:		System/Configuration/Hardware          
Requires:	lineakd >= %{version}

%description default
This package contains the default plugin for lineakd.
%endif

%if %buildosd
%package xosd
Summary:	XOSD plugin for lineakd
Group:		System/Configuration/Hardware          
Requires:	lineakd >= %{version}
BuildRequires:	libxosd-devel

%description xosd
This package contains the XOSD plugin for lineakd.
%endif

%if %buildkde
%package kde
Summary:	KDE plugins for lineakd
Group:		System/Configuration/Hardware          
Requires:	lineakd >= %{version}
BuildRequires:	kdelibs-devel
BuildRequires:	automake1.8

%description kde
This package contains the KDE plugins for lineakd.
%endif

%prep
rm -rf $RPM_BUILD_DIR/%{name}-%{version}
%if %builddefault
%setup -q -c -T -D -a 1
%endif
%if %buildosd
%setup -q -c -T -D -a 2
%endif
%if %buildkde
%setup -q -c -T -D -a 3
%endif

%build
%if %mdkversion <= 1000
%define __libtoolize true
%endif

%if %builddefault
pushd lineak-defaultplugin-%version
autoreconf
%configure2_5x --with-lineak-plugindir=%_libdir/lineakd/plugins/
%make
popd
%endif

%if %buildosd
pushd lineak-xosdplugin-%{version}
%configure2_5x --with-lineak-plugindir=%_libdir/lineakd/plugins/ --with-qt-dir=/usr/lib/qt3 --with-qt-libraries=/usr/lib/qt3/%_lib
%make
popd
%endif

%if %buildkde
pushd lineak-kdeplugins-%{version}
autoreconf
%configure2_5x --with-lineak-plugindir=%_libdir/lineakd/plugins/ --with-qt-dir=/usr/lib/qt3 --with-qt-libraries=/usr/lib/qt3/%_lib
%make
popd
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %builddefault
pushd lineak-defaultplugin-%version
%makeinstall_std
popd
%endif

%if %buildosd
pushd lineak-xosdplugin-%{version}
%makeinstall_std
popd
%endif

%if %buildkde
pushd lineak-kdeplugins-%{version}
%makeinstall_std
popd
%endif

rm -f $RPM_BUILD_ROOT%{_libdir}/lineakd/plugins/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%if %builddefault
%files default
%defattr(-,root,root)
%config(noreplace) %_sysconfdir/media-detect.conf
%{_libdir}/lineakd/plugins/defaultplugin.so
%{_libdir}/lineakd/plugins/mediadetectplugin.so
%{_mandir}/man1/lineak_defaultplugin.1*
%endif

%if %buildosd
%files xosd
%defattr(-,root,root)
%{_libdir}/lineakd/plugins/xosdplugin.so
%{_mandir}/man1/lineak_xosdplugin.1*
%endif

%if %buildkde
%files kde
%defattr(-,root,root)
%{_libdir}/lineakd/plugins/jukplugin.so
%{_libdir}/lineakd/plugins/kdesktopplugin.so
%{_libdir}/lineakd/plugins/kmailplugin.so
%{_libdir}/lineakd/plugins/konqplugin.so
%{_libdir}/lineakd/plugins/kmixplugin.so
%{_libdir}/lineakd/plugins/amarokplugin.so
%{_libdir}/lineakd/plugins/kscdplugin.so
%{_mandir}/man1/lineak_kdeplugins.1*
%endif





%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.9-1mdv2008.1
+ Revision: 136572
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel


* Sat Dec 09 2006 Olivier Thauvin <nanardon@mandriva.org> 0.9-1mdv2007.0
+ Revision: 93898
- 0.9

* Thu Aug 10 2006 Olivier Thauvin <nanardon@mandriva.org> 0.8.4-2mdv2007.0
+ Revision: 55020
- rebuild
- Import lineakd-plugins

* Wed Jan 04 2006 Gtz Waschk <waschk@mandriva.org> 0.8.4-1mdk
- update file list
- fix URLs
- new version

* Thu Apr 07 2005 Olivier Thauvin <nanardon@mandrake.org> 0.8.3-1mdk
- 0.8.3

* Thu Apr 07 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.2-3mdk
- fix 64bits build (qt...)

* Wed Apr 06 2005 Olivier Thauvin <nanardon@mandrake.org> 0.8.2-2mdk
- fix buildrequires for 64bits arch

* Mon Dec 27 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.2-1mdk
- 0.8.2

* Fri Oct 29 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.1-1mdk
- 0.8.1
- add switch to disable some compilation
- add few BuildRequires

* Wed Sep 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-2mdk
- fix buildrequires

* Wed Sep 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-1mdk
- drop patches
- new version

* Thu Sep 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-0.beta4.4mdk
- fix buildrequires

* Wed Sep 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-0.beta4.3mdk
- fix configure calls
- fix deps
- call versioned automake

* Mon Sep 06 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.8-0.beta4.2mdk 
- fix plugins installation path

* Sun Sep 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.8-0.beta4.1mdk 
- first release

